Texa Desk Application API · Webhooks
Add a webhook
POST/
Add a webhook subscription to the account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
account_idintegerrequiredThe numeric ID of the account
Body application/json
urlstringThe url where the events should be sent
namestringThe name of the webhook
subscriptionsarray of stringThe events you want to subscribe to.
Responses
200Success
idnumberThe ID of the webhook
urlstringThe url to which the events will be send
namestringThe name of the webhook
subscriptionsarray of stringThe list of subscribed events
secretstringSecret used to sign webhook requests. Signed webhook deliveries include X-Texa Desk-Timestamp and X-Texa Desk-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Texa Desk-Delivery when a delivery id is available.
account_idnumberThe id of the account which the webhook object belongs to
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring